NewWacht Bench is live — AI-assisted development for Wacht

List Actor Projects Flat

GET
/ai/actor-projects

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Query Parameters

actor_id*integer
include_archived?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/ai/actor-projects?actor_id=0"
{
  "data": [
    {
      "id": "string",
      "deployment_id": "string",
      "actor_id": "string",
      "name": "string",
      "description": "string",
      "status": "string",
      "coordinator_thread_id": "string",
      "review_thread_id": "string",
      "metadata": null,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "archived_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}